using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.Inventory
{
    public class OpenItemContainerCommand : ICommand
    {
        string title;
        ItemContainer itemContainer;

        float speed;

        public OpenItemContainerCommand(string title, ItemContainer itemContainer)
        {
            this.title = title;
            this.itemContainer = itemContainer;
        }

        public void Execute()
        {
            //Debug.Log("Opening " + title);
            ItemContainerEvents.Open(title, itemContainer);
        }
    }
}