﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;
using KairoEngine.Core.ModuleSystem;

namespace KairoEngine.Inventory
{
    public class InventoryModule : IGameModule
    {
        private string _name = "Inventory Module";

        public string name { get =>  _name; set => _name = value; }

        public GameObject itemLibraryPrefab;


        public void Load(Transform parent)
        {
            GameObject obj = GameObject.Instantiate(itemLibraryPrefab, parent);
            obj.name = obj.name.Replace("(Clone)", "");
        }

        public void Reset()
        {
            
        }

        public void Destroy()
        {
            
        }
    }
}
