﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.Inventory
{
    [CreateAssetMenu(fileName = "Item", menuName = "KairoEngine/Items/Ammo Item", order = 4)]
    public class ItemBaseAmmo : ItemBase
    {
        [TitleGroup("Ammo Properties")]
        public GameObject bulletPrefab;

        [TitleGroup("Ammo Properties")]
        public string bulletPrefabPool = "";

        [TitleGroup("Ammo Properties")]
        public float bulletSpeed = 10f;

        [TitleGroup("Ammo Properties")]
        public float accuracyModifier = 0;

        [TitleGroup("Ammo Properties")]
        public int damageModifier = 0;

        [TitleGroup("Ammo Properties")]
        public int armorPiercing = 0;

        [TitleGroup("Ammo Properties")]
        public float lifetime = 3f;
    }
}
