﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;
using KairoEngine.Stats;

namespace KairoEngine.Inventory
{
    [CreateAssetMenu(fileName = "Item", menuName = "KairoEngine/Items/Intant Effect Item", order = 5)]
    public class ItemBaseInstantEffect : ItemBase
    {
        //[TitleGroup("Effect Properties"), ShowInInspector, SerializeReference]
        //public IStatusEffect statusEffect;

        [TitleGroup("Effect Properties")]
        public bool hasCooldown = true;

        [TitleGroup("Effect Properties"), ShowIf("@hasCooldown")]
        public float cooldownTime = 5f;

    }
}
