using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.Inventory
{
    public class CloseItemContainerCommand : ICommand
    {
        string title;

        float speed;

        public CloseItemContainerCommand(string title)
        {
            this.title = title;
        }

        public void Execute()
        {
            ItemContainerEvents.Close(title);
        }
    }
}